OPNSENSE-IMPORTER(8)

NAME
opnsense-importer - OPNsense import utility

SYNOPSIS
opnsense-importer [-bmpVz] [disk]

DESCRIPTION
The opnsense-importer utility can import a previous configuration from multiple types of disk formats. A normal system directory layout using /conf is expected with at least /conf/config.xml present. If successful, the old configuration will be replaced.

Encrypted /conf/config.xml files are supported via opnsense-crypt(8) when the required file /conf/config.secret containing the correct password is also present. Keep in mind that preparing an encrypted import is a manual process even though the actual import run is designed to work without user interaction.

The disk selection allows the user to escape to a shell by issuing ‘’! instead. This shell can be used to e.g. start an early install process using opnsense-installer(8).

The options are as follows:

-b  Run the importer in boot mode, which only triggers the import timeout prompt when no current configuration is found in the system. This mode is used for install media duties to allow early configuration imports to be able to live-boot into them afterwards.

-m  Run the importer in manual shell mode to access the recovered file system for custom repairs.

-p  Run the importer in password reset mode, which mounts the disk and invokes the builtin root password prompt and after change adjusts authentication settings to know good defaults.

-V  Set debug mode for shell script output.

-z  List all available ZFS pools to the system and exit. The listing consists of the ‘name’, ‘guid’ and ‘size’ property in this order.

EXIT STATUS

SEE ALSO
opnsense-crypt(8), opnsense-installer(8)

HISTORY
The opnsense-importer utility first appeared in OPNsense 17.1.4. It was derived from code written for the opnsense-installer(8) utility.

AUTHORS
Franco Fichtner <franco@opnsense.org>